{
  pkgs,
  inputs,
  ...
}: {
  imports = [
    ./hardware-configuration.nix
    ./verbatim.nix
    ./500G-disk.nix

    ../modules/graphics.nix
    ../modules/boot.nix
    ../modules/networking.nix
    ../modules/xdg-settings.nix
    ../modules/window-manager.nix
    ../modules/sddm.nix
    ../modules/main-user.nix
    ../modules/programs.nix
    ../modules/ssh.nix
    ../modules/sound.nix
    ../modules/printing.nix
    ../modules/input-handle.nix
    ../modules/keyboard.nix
    ../modules/locale.nix
  ];

  programs.niri.enable = true;
  programs.xwayland = {
    enable = true;
    package = pkgs.xwayland-satellite;
  };

  nix.settings.experimental-features = ["nix-command" "flakes"];

  nixpkgs.config = {
    allowUnfree = true;
    nvidia.acceptLicense = true;
  };

  services.xserver.enable = true;

  environment.shells = [pkgs.nushell];

  home-manager.extraSpecialArgs = {inherit inputs;};

  system.stateVersion = "25.11";
}
